---
title: "Week 10, Thursday: Polestars Testdrive"
date: 2024-10-03T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/aletto.png" alt="Credit: Aletto, YouTube" >}}

We've had a Tesla Model S (with black nosecone) since 2015, and we still benefit from free charging
for life. We're a good twelve years after the introduction of Model S, and it's still quite tricky
to find an electric car that rivals the driving experience of Tesla. But, we are in the market,
eventually, for a new car and we'd like to come prepared with a set of alternative choices. I'm not
sure I'll want to replace this car with another Tesla.

We booked a driving tour of one hour with the [[Polestar](https://polestar.com/)] 3 (a fullsized
crossover SUV much like the Volvo XC90) and also the Polestar 4 (a compacter crossover SUV). It's
fun to realize that Volvo and Polestar are owned by chinese megacorp _Geely_, which is a customer
of IPng! But, it could be fun to test drive and possibly become a customer of _Geely_ as well? Let's
find out!

Since Tim and I went to bed a few bottles in and at 03:30 yesterday, the waking up was also a bit of
a just-in-time job. Our appointment is at 11:45 and at around 11:00 we both emerge out of our warm
beds, ready for the morning ritual. The game plan is that Marina and I pick up the car, then we
drive to our house to see if it even fits in the garage (should be, both Polestars are smaller than
the Model S), and then we take a good drive with the three of us.

Our first car is the Polestar 4, with 2x200kW motor and a 100kWh batterypack. It has lots of the
options enabled, and it's a wonderful drive. The power is there, the entertainment screen is
horizontal in this car (like newer Tesla models), but it has Apple Carplay, which I am a huge fan
of. Driving experience is great, it keeps lane, follows cars, has adaptive cruise control, and a
really stunning internal trim with light effects, charging mat, USB C (60W PD), and even the rear
seats are adjustable. It's very spatious inside, the funk is laughably small, and the rear trunk is
pretty good, including a clever floor panel that can fold up and fold down into a lower position.

After an hour or so, we deliver the Polestar 4, and swap it for a Polestar 3, which is a slightly
bigger, more premium car. They both were announced in different years, but ended up being on the
market at the same time, with deliveries starting in Q2'2024. The Polestar 3 has a few really nice
benefits: a Bowers & Wilkins pimped out stereo with 25 (yes, twenty-five!) speakers and a subwoofer,
a vertical entertainment screen, no interior lighting, missing screen in the back, no adjustable
seats, but a superior driving experience and 2x180kW motors with a 110kW battery, so clearly a
larger range (630km on paper). No apple carplay! It's just a bit weird, I feel, to have a premium
car which has less features than its smaller and cheaper sibling. I would've honestly expected _all_
of those cool things from the Polestar 4 to be available. But it drives like a boss, it's really
really smooth but also punchy despite being the size (and weight) of a Model X.

One of the nice things about this three-way review is that all of us emphasize different parts of
the car. Tim remarks that we really should be car reviewers as we feel like we do a very thorough
job judging build quality, driving style and experience, driving assist features, and overall
interior features. We gathered pics of both cars [[here](https://www.youtube.com/watch?v=k9knCTHbhWs)].

{{< image src="/img/arc.png" width="9em" float="left" alt="story arc" >}}

After the testdrive, at 15:00 we do the last task in the story arc of Tim's visit. We meticulously
fiddle with all the buttons and switches and light panels, and make the finer details of the cockpit
work. We now have stall warning, master warning, oil pressure and engine fire alarms, and so on all
working. As a finishing touch, the engine startup mechanics, with both mags, all avionics and fuel
pump switches, radios and navigation computer, all work now in the Cessna 172, Cessna 152 (well, no
navigation here) and Diamon DA40NG. I could not be more pleased as we take a trip from Eindhoven
airport EHEH to Breda airport EHSE, navigating, ATC tower and all, over Gilze Rijen EHGR. We manage
to land the plane and refuel it.

I myself take the same DA40 out for a spin from D&uuml;bendorf military airport LSMD to a very
popular Birrfeld LSZF, which I've flown the circuit of in real life, in one of the very few actual
airplane experiences. Tim did me a solid and recorded the flight on his GPS flight recorder. Cool
fact: that Sky Demon has a mode in which it can slurp in GPS info from the _flightsim_ rather than
the GPS receiver, so you can use it in such a sim in much the same way as you can in real life. That
was super fun and he took some screenshots as I was flying perfectly straight in the circuit,
albeit bouncing up and down vertically quite a bit, including the landing as I know not what I do.
See below the Sky Demon flight plan, the actual path (yellow), and the circuit I flew in this 21
minute flight. Not gonna lie, it was a great reward after such an intense struggle to get this thing
to finally work. Thank you Tim!!

While high on life, it was time to ground ourselves by introducing a huge amount of cheese fondue
into our bodies. Marina had prepared the table with tableware, bread, pine apple, sour onions and
little pickles, and drinks. She knows that once I start making the fondue, that there is a point of
no return: it will be created, carried to the table, and has to immediately be consumed by
vigorously stirring the pot, otherwise we may get in trouble. However, the so called
_Schwiegemutter_ (English: mother in law), the cakey cheese that creates a super-salty super-tasty
fondue trophy.

If your fondue worked out, and people stirred vigorously _enough_, it comes out in once piece. Which
it does. Because we are professional fondue-eaters. We all eat a little piece of the mother in law,
but to spare our kidneys, we don't eat the whole thing. 

After dinner, we watch some news on TV, finish the bottle of red wine from yesterday, and retire for
an evening of two of our most favorite things: Trappiste beer and LEGOs! My buddy Sandra has made
the NASA space shuttle and loaned it to me, so we spend a few hours making the hubble space
telescope, and a good start on the under carriage of the shuttle Discovery. As we do this, Tim and I
swap stories of our favorite YouTube channels. It turns out, we have many of them in common,
possibly because we're somehow related, I don't know for sure, but I would not be surprised.

We find a nice checkpoint on the shuttle undercarriage and call it a night at 01:00.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-10-03/IMG_1759.JPG" caption="Marina and I are in the Polestar 4, a sporty car and fun to drive." >}}
  {{< gallery-photo fn="2024-10-03/IMG_1777.JPG" caption="Tim was also with us in the Polestar 4, sorry you couldn't drive, buddy!" >}}
  {{< gallery-photo fn="2024-10-03/IMG_1790.JPG" caption="The Polestar 3 is a nice competition for Model X. Chinese, not South African." >}}
  {{< gallery-photo fn="2024-10-03/IMG_1799.JPG" caption="Tim is pointing at a point of interest in our simulator: Diamond DA40NG" >}}
  {{< gallery-photo fn="2024-10-04/lsmd-lszf.png" caption="My flight plan from Dubendorf to Birrfeld in Switzerland" >}}
  {{< gallery-photo fn="2024-10-04/lszf.png" caption="I'm quite proud of how well I managed to follow the circuit. Not visible here: how messy my altitude was." >}}
  {{< gallery-photo fn="2024-10-03/IMG_1800.JPG" caption="The Schwiegemutter, the last bit of caked cheese at the bottom of the pot. A+ would eat again." >}}
  {{< gallery-photo fn="2024-10-03/IMG_1802.JPG" caption="To finish the evening, we enjoy a set of belgian trappiste beers from 2018" >}}
  {{< gallery-photo fn="2024-10-04/IMG_1803.JPG" caption="We finish Sandra's hubble space telescope and it's really cool!" >}}
  {{< gallery-photo fn="2024-10-04/IMG_1804.JPG" caption="We also construct the under carriage of this Space Shuttle Discovery that Sandra loaned me. Such a cool build!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}

