---
title: "Week 9, Tuesday: NONOG-6/NIX in Oslo"
date: 2024-09-24T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/kushsessions-05.png" alt="Credit: KushSessions, YouTube" >}}

This morning I took a quick breakfast at the hotel and made the 1km walk through a light drizzle to
the venue of the sixth Norwegian Network Operators Group meeting, organized together with the
Norwegian Internet Exchange. I got there at 08:30 on the dot, and folks were starting to trickle in.

It's an absolutely packed agenda with one track, which is great for me because it means I don't have
to decide where to go. The venue is the [[Domus
Biblioteca](https://www.uio.no/om/finn-fram/omrader/sentrum/se03/)] of the University of Oslo. On
the square in front of the library I see a familar figure: Edvard Munch! Inside, out of the rain,
registration is smooth and I get my badge for the day. NONOG has a set of stickers to signal
specific interest or specific circles. I get a "This is my First NONOG" and "Presenter" stickers,
and I add an "IPv6" sticker because, I hear we'll be rolling out IPv6 next year.

I take my seat at the front of the room, and watch a bunch of pretty interesting talks: the first
presentation is by Herman Loennechen about upcoming upgrades to 100G and 400G ports at NIX, and the
importance of maintenance windows and BCP214 at internet exchanges. His colleague Kjetil Otter Olsen
from the norwegian internet exchange NIX brings an update on the NIX future plans and services
and regional activities. The message that stuck with me most is "we should understand what our
community needs, and how the situation of internet and peering is in other parts of the country".

Then, Ben Cartright-Cox discusses problems with BGP Hold Timers and his experiences drafting an RFC
for BGP *Send* Hold timers, including a bit of a critical view on the transparency/opacity of the
publication and editors process at IETF. After this, Markus Lyyra from Elisa in Finnland discusses
a novell way his company used the wide collection of RAN base stations equipped with battery packs
to help stabilize and balance the power grid, which was super interesting.

The Norwegian toplevel domain is locked down and closed for reading. Not a problem for Alfred Arouna
who presents reearch done with Ioana Livadariu and Mattijs Jonker on harvesting .no domain names from
public data: a clever way to puzzle back together the contents using Certificate Transparency logs.
Neat!

Frode Fjermestad from Tampnet talks about monitoring and securing a fiber optic network [in the
North Sea] using Distributed Accoustic Sensing (DAS) and State of Polarisation (SoP) sensing, which,
considering the current state of global affairs, will prove to be a valuable technique to ensure
subsea cables are not tampered with.

Next, Arne Erik Berntzen from the Norwegian Postal services talks at NONOG in Oslo about the
deployment of a new logistics building that skipped WiFi and went (private) mobile-core directly
with 5G towers instead. He reports great success in the initial pilot building: from 80+ wifi radio
antennas, to merely two (!) mobile radios for the private network and an additional two for the
public telephony network.

At lunch, I catch up with Ole who is in good spirits. We talk a bit about VPP and are joined by
colleague Line and I also get to know Maja a little bit. Lunch is a set of sateh and wraps with
veggies and quinoa. I can report that I made an absolute _mess_ of the lunch table, with quinoa
splurting everywhere, quite possibly also on the ceiling. Sorry!

After lunch, Kaj Kjellgren talks about scaling down time sync services for IoT devices using
Roughtime, and a call to action to run multiple roughtime servers across Norway. He is joined by 
Lars-Johan Liman of NETNOD talks about DNS Threat and Privacy Internet Research (TAPIR). I love how
Lars-Johan calls himself "Dinosaur of DNS", it reminds me of Niels who also makes designations of
such effect at NLNOG.

We switch to a more societal / legal topic with Professor Olav Lysne discussing the challenges of
protecting critical digital communication infrastructure and autonomy. This talk hits home for me
because the Dutch are abandoning their own autonomy by moving some of their most critical
infrastructure to american Hyperscalers [example: SIDN's misguided decision to move to AWS].

I'm next! And I get to start 5min early, for some reason now mentally pacing my talk on running a
backbone consisitng of VPP routers with only one IPv4 and IPv6 address to finish at 14:45 (which
would make it 34 minutes, even though I was given 45min, whoops). I whirlwind through my storyline
and finish "on time" (15 minutes early), and make some mental notes on how to iterate and improve
the delivery. Thanks for being the premi&egrave;re, NONOG!

J&oslash;rn O.Nilsen from Fiberworks talks about testing of optical equipment/cables before
deploying and I cannot agree more. With 1G connections it's not such a huge deal, but 25G/100G/400G
connections really really start to care about the cleanliness of the LC or MPO ferrules and cable
tips. J&oslash;rn also shows a device that can do the tests including BER and optical levels /
power dissipation, which is a nifty little find (see picture below).

My buddy Antonios Chariton (now of the house of Cisco) discusses BGP and Stuck Routes - how
problematic are they? It strongly reminds me of Jeroen's Ghost Route Hunter project at SixXS, where
we also observed some implementations building phantom AS paths in the global routing table back in
the early 2000s. And, we agree that Ben's proposed BGP SendHoldTimer may very well help these stuck
routes. Takeaway: A few prefixes announced and retracted more than four months ago are *still
visible* in the DFZ. Both Antonis and Ben have a concept of a _BGP Clock_ which periodically
announces a beacon that can be traced through the DFZ. I like this idea!

Back to a higher level contribution - Ulrich Wisser from ICANN gives a mindful talk about the NBU
and the languages they speak (spoiler: not English!) called Universal Acceptance, at NONOG in Oslo,
Norway. I never really realized it, but end to end e-mail delivery simply don't work in any locale
other than ANSI, and even >3 characters gTLDs (like `.info`) fail to parse in many cases. Yikes!

Olof Kasselstrand discusses service orchestration with Netbox; a super feature rich API and
provisioning ecosystem, and I make a mental note to ask him about the module / plugin he wrote for
NetBox. I wonder how many LOC it is, and if it's difficult to write this type of thing.

We have one remote presenter, David Bianchi of Cisco joins us via video call and presents on routed
optical networks - 400G with various transmission and WDM tech from Cisco. 

The last presentation for the day goes all the way up the stack again to critical security process
that are super relevant for my Google job - We listen to Bjørnar Simonsen from Orange discuss
security topics within NIS2 and DORA. I've done several of these risk and maturity assessments for
parts of Google as well, and I am fondly reminded of my buddy Jeffrey who knows all about risk
mitigation strategy from NIST and MITRE ATT&CK. I had a lot of fun working on that together!

The day comes to a close with a quick quiz by organizer Maja; who asks some silly and some content
check questions. There are prizes at the end, but my participation is limited to randomly mashing
buttons because I have a bit of visual impairment (migraine) setting on. However, after leaving the
venue, on the street walking over to the evening dinner with Ben and Antonis, it very quickly
clears.

Dinner and drinks are offered by [[NETNOD](https://netnod.no/)] in an irish pub which is 45 meters
away from our Hotel. Marina almost beats me there :) and she is very welcome to join - thank you for
that! We spend the evening chatting with various groups of folks from the industry - I don't know
many of them at the beginning of the day, but after this night out I think I may recognize quite a
few of you on the streets of Oslo or Bergen or Stavanger or Zurich :)

Back at the hotel, I'm suitably imbibed - it was a long but very intensive day with so much to learn
and so many people to meet and get to know. Thanks, Eirik, Marius, Maja and Lars! Just before
turning in, Niels informs me on Signal that the next Fusix podcast dropped - the one we recorded at
the [[FrysIX Barbecue]({{< ref wk7day6.md >}})]. Marina says I can listen to it on the plane
tomorrow, but I'm totally listening to it tonight before bed. It's a nice chat, and I really like
how Randall retrofitted a Fusix podcast around this conversation. It's in Dutch, but if that's a
language you speak, [[check it out](https://podcasts.apple.com/nl/podcast/de-fusix-podcast/id1706315138)].

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-09-24/IMG_1553.JPG" caption="Norwegian Parliaments building in Oslo" >}}
  {{< gallery-photo fn="2024-09-24/IMG_1554.JPG" caption="The univerity square with on the far side, Domus library. NONOG and NIX have good taste in venues!" >}}
  {{< gallery-photo fn="2024-09-24/IMG_1555.JPG" caption="On the university square I see this old friend: Edvard Munch" >}}
  {{< gallery-photo fn="2024-09-25/IMG_1580.JPG" caption="My NONOG badge this year, and I heard the 'my first time' was the most popular sticker!" >}}
  {{< gallery-photo fn="2024-09-24/IMG_1568.JPG" caption="The optical measurement device for AOC/DAC/QSFP-DD that was discussed. It's pretty neat" >}}
  {{< gallery-photo fn="2024-09-24/IMG_1570.JPG" caption="A selfie with the audience of my VPP talk at NONOG-6 in Oslo." >}}
  {{< gallery-photo fn="2024-09-24/IMG_1577.JPG" caption="Marius from NONOG orgo team is supercool and I'm glad I got to meet him." >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}

